#ifndef TDELISTBOXDIALOG_H
#define TDELISTBOXDIALOG_H

#include <kdialogbase.h>

class TQLabel;
class TQListBox;

class TDEListBoxDialog : public KDialogBase
{
    Q_OBJECT
  

public:
    TDEListBoxDialog( TQString& _selectedString,
                    const TQString& caption,
                    const TQString& labelText,
                    TQWidget*    parent = 0,
                    const char* name   = 0,
                    bool        modal  = true );
    ~TDEListBoxDialog();

    void setLabelAbove(  const TQString& label  );
    void setCommentBelow(const TQString& comment);

    TQListBox* entriesLB;

private slots:
    void highlighted( const TQString& );

protected:
    TQString& selectedString;
    TQLabel*  labelAboveLA;
    TQLabel*  commentBelowLA;
};

#endif
